%define	module	xdot
%define name	python-%{module}
%define version 0.5

# git81b8d7d
%define gitrel	0
%define rel 1
%if "%{commit}" != "0"
%define release %mkrel %{rel}
%else
%define release %mkrel 0.%{rel}.%{gitrel}
%endif

%define distname %{module}.py-%{version}

Summary:	Interactive viewer for Graphviz dot files
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{module}-%{version}.tar.xz
License:	LGPLv3+
Group:		Graphics/Utilities
Url:		https://github.com/jrfonseca/xdot.py
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Requires:	graphviz, pygtk2.0
BuildRequires:	python-setuptools, python-devel

%description 
xdot is an interactive viewer for graphs written in
Graphviz's dot language.

It internally uses Graphviz's xdot output format as an
intermediate format, and PyGTK and Cairo for rendering.

xdot can be used either as a standalone application from 
the command line, or as a library embedded in your Python 
application.

%prep
%setup -q -n %{distname}

%install
%__rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILE_LIST

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{module}.desktop << EOF
[Desktop Entry]
Name=XDot
Comment=Interactive viewer for Graphviz dot files
Exec=xdot
Terminal=false
Type=Application
Categories=GTK;DataVisualization;Science;Graphics;
MimeType=text/vnd.graphviz;
Keywords=graphviz;dot;viewer;graph;
EOF

%clean
%__rm -rf %{buildroot}

%files -f FILE_LIST
%defattr(-,root,root)
%doc sample.py
%{_datadir}/applications/%{_real_vendor}-%{module}.desktop


%changelog
* Sat Aug 10 2013 billybot <billybot> 0.5-1pclos2013
- update
